Refund API Requests

Version 1.0
POST https://api-dev.cruisepay.finance/api/v1/initiateRefund

Authentication


Refund requests must be authenticated using a Bearer token.

Authorization: Bearer ••••••••••••••

Request Parameters


Refund Details

invoiceNumber string required

Original transaction's invoice number.

Example: Invoice0001
currency string required

Refund Currency
3 Letter Currency Code

Example: USD
refundAmount number required

Amount to refund. Must be less than or equal to the original transaction amount.

Example: 25.00
reason string required

Reason for initiating the refund.

Example: Customer requested refund
refund Id string Optional

Any random ID value to denote the particular request. Optional Field

Example: 654321

Payload Structure


Refund Request Payload (JSON)
{
  "invoiceNumber": "0004invoice",
  "currency": "USD",
  "refundAmount": "40.00",
  "reason": "Requested by Client",
  "refundId": "654321" // Optional
}

Callback Responses


Declined Reasons


Secure payment processing APIs for seamless checkout and refunds. API Version: v1
© 2026 Cruisepay. All rights reserved.